@echo off
if not exist FEData\Data\nfs5.carbak goto error

echo Now degrading to previous version

del FEData\Data\nfs5.car
ren FEData\Data\nfs5.carbak *.car
del FEData\Data\nfs5.prt
ren FEData\Data\nfs5.prtbak *.prt
del FEData\Data\nfs5.trn
ren FEData\Data\nfs5.trnbak *.trn
del FEData\Locale\festrings.csv
ren FEData\Locale\festrings.csvbak *.csv
del FEData\Locale\festrings.loc
ren FEData\Locale\festrings.locbak *.loc
del FEData\Locale\hudstrings.h
ren FEData\Locale\hudstrings.hbak *.h

echo Successfully degraded to previous version!
goto end

:error
echo Backup does not exist! Hopefully that means you've already degraded!

:end